Subject: Re: [PATCH] Support dhcpcd in dhcp-client-service-type

From: [email-masked]
Date: Mon, 13 Jan 2025 08:49:44 +0000

Hi,

> Regarding the service, it may also be worthwhile to add a custom service
> for dhcpcd instead of extending the existing one. Though that would make
> migrating to dhcpcd from isc-dhcp more involved for users.
> 
> WDYT? How do we best proceed here?
> 
> Greetings,
> SÃ¶ren

I agree with your approach, I feel like we should make a separate
service entirely and update the docs to point to that. After a while we
can then make dhcp-client-service-type point to that service (or replace
the service definition of dhcp-client-service-type with the one of
dhcpcd's).